Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Dynamic::ParameterList_var Class Reference

`#include <DynamicC.h>`

List of all members.

## Public Methods
| ParameterList_var (void)
| ParameterList_var (ParameterList *)
| ParameterList_var (const ParameterList_var &)
| ~ParameterList_var (void)
ParameterList_var & | operator= (ParameterList *)
ParameterList_var & | operator= (const ParameterList_var &)
ParameterList * | operator-> (void)
const ParameterList * | operator-> (void) const
| operator const ParameterList & () const
| operator ParameterList & ()
| operator ParameterList & () const
| operator ParameterList *& ()
Parameter & | operator[] (CORBA::ULong index)
const Parameter & | operator[] (CORBA::ULong index) const
const ParameterList & | in (void) const
ParameterList & | inout (void)
ParameterList *& | out (void)
ParameterList * | _retn (void)
ParameterList * | ptr (void) const
## Private Attributes
ParameterList * | ptr_

## Constructor & Destructor Documentation

Dynamic::ParameterList_var::ParameterList_var | ( | void |  | ) |

Dynamic::ParameterList_var::ParameterList_var | ( | ParameterList * |  | ) |

Dynamic::ParameterList_var::ParameterList_var | ( | const ParameterList_var & |  | ) |

Dynamic::ParameterList_var::~ParameterList_var | ( | void |  | ) |

## Member Function Documentation

ParameterList* Dynamic::ParameterList_var::_retn | ( | void |  | ) |

const ParameterList& Dynamic::ParameterList_var::in | ( | void |  | ) | const

ParameterList& Dynamic::ParameterList_var::inout | ( | void |  | ) |

Dynamic::ParameterList_var::operator const ParameterList & | ( |  | ) | const

Dynamic::ParameterList_var::operator ParameterList & | ( |  | ) | const

Dynamic::ParameterList_var::operator ParameterList & | ( |  | ) |

Dynamic::ParameterList_var::operator ParameterList *& | ( |  | ) |

const ParameterList* Dynamic::ParameterList_var::operator-> | ( | void |  | ) | const

ParameterList* Dynamic::ParameterList_var::operator-> | ( | void |  | ) |

ParameterList_var& Dynamic::ParameterList_var::operator= | ( | const ParameterList_var & |  | ) |

ParameterList_var& Dynamic::ParameterList_var::operator= | ( | ParameterList * |  | ) |

const Parameter& Dynamic::ParameterList_var::operator[] | ( | CORBA::ULong | index | ) | const

Parameter& Dynamic::ParameterList_var::operator[] | ( | CORBA::ULong | index | ) |

ParameterList*& Dynamic::ParameterList_var::out | ( | void |  | ) |

ParameterList* Dynamic::ParameterList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ParameterList* Dynamic::ParameterList_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- DynamicC.h